GDB (xrefs)

Public Member Functions | List of all members
ui_file Class Referenceabstract

`#include "ui-file.h"`

Inheritance diagram for ui_file:

## Public Member Functions
| ui_file ()
virtual | ~ui_file ()=0
void | printf (const char *,...) ATTRIBUTE_PRINTF(2
void void | putstr (const char *str, int quoter)
void | putstrn (const char *str, int n, int quoter)
int | putc (int c)
void | vprintf (const char *, va_list) ATTRIBUTE_PRINTF(2
void virtual void | write (const char *buf, long length_buf)=0
virtual void | write_async_safe (const char *buf, long length_buf)
virtual void | puts (const char *str)
virtual long | read (char *buf, long length_buf)
virtual bool | isatty ()
virtual void | flush ()

## Detailed Description

Definition at line 26 of file ui-file.h.

## Constructor & Destructor Documentation

## ◆ ui_file()

ui_file::ui_file | ( |  | ) |

Definition at line 30 of file ui-file.c.

## ◆ ~ui_file()

ui_file::~ui_file | ( |  | ) |
| pure virtual

Definition at line 33 of file ui-file.c.

## Member Function Documentation

## ◆ flush()

virtual void ui_file::flush | ( |  | ) |
| inline virtual

Reimplemented in tee_file, stdio_file, ioscm_file_port, mi_console_file, and tui_file.

Definition at line 72 of file ui-file.h.

Referenced by tee_file::flush(), and gdb_flush().

## ◆ isatty()

virtual bool ui_file::isatty | ( |  | ) |
| inline virtual

Reimplemented in tee_file, and stdio_file.

Definition at line 69 of file ui-file.h.

Referenced by tee_file::isatty(), and ui_file_isatty().

## ◆ printf()

void ui_file::printf | ( | const char * | format,
|  |  | ...
| ) |  |

Definition at line 37 of file ui-file.c.

References vfprintf_unfiltered().

Referenced by add_set_language_command(), aix_thread_extra_thread_info(), c_compute_program(), do_compile_dwarf_expr_to_c(), do_show_command(), explicit_to_string_internal(), insert_breakpoint_locations(), list_arg_or_local(), maintenance_print_psymbols(), gdb_pretty_print_disassembler::pretty_print_insn(), print_frame_arg(), print_label(), print_one_detail_ranged_breakpoint(), print_target_wait_results(), save_breakpoints(), and unwind_infopy_str().

## ◆ putc()

int ui_file::putc | ( | int | c | ) |

Definition at line 59 of file ui-file.c.

References fputc_unfiltered().

Referenced by explicit_to_string_internal(), and mi_cmd_data_read_memory().

## ◆ puts()

virtual void ui_file::puts | ( | const char * | str | ) |
| inline virtual

Reimplemented in tee_file, stderr_file, stdio_file, null_file, and tui_file.

Definition at line 63 of file ui-file.h.

References write().

Referenced by c_compute_program(), compile_to_object(), do_compile_dwarf_expr_to_c(), do_show_command(), dwarf2_compute_name(), explicit_to_string_internal(), fputs_unfiltered(), insert_breakpoint_locations(), list_arg_or_local(), maintenance_print_psymbols(), mi_cmd_execute(), print_frame_arg(), tee_file::puts(), py_print_single_arg(), quit_confirm(), replace_typedefs_qualified_name(), unwind_infopy_str(), and update_inserted_breakpoint_locations().

## ◆ putstr()

void ui_file::putstr | ( | const char * | str,
|  | int | quoter
| ) |  |

Definition at line 47 of file ui-file.c.

References fputstr_unfiltered().

Referenced by do_show_command(), and mi_cmd_execute().

## ◆ putstrn()

void ui_file::putstrn | ( | const char * | str,
|  | int | n,
|  | int | quoter
| ) |  |

Definition at line 53 of file ui-file.c.

References fputstrn_unfiltered().

Referenced by escape_buffer().

## ◆ read()

virtual long ui_file::read | ( | char * | buf,
|  | long | length_buf
| ) |  |
| inline virtual

Reimplemented in stdio_file, and string_file.

Definition at line 66 of file ui-file.h.

References gdb_assert_not_reached.

Referenced by ui_file_read().

## ◆ vprintf()

void ui_file::vprintf | ( | const char * | format,
|  | va_list | args
| ) |  |

Definition at line 65 of file ui-file.c.

References vfprintf_unfiltered().

## ◆ write()

void virtual void ui_file::write | ( | const char * | buf,
|  | long | length_buf
| ) |  |
| pure virtual

Implemented in tee_file, stderr_file, stdio_file, string_file, null_file, ioscm_file_port, mi_console_file, and tui_file.

Referenced by mi_ui_out::put(), puts(), ui_file_write(), tee_file::write(), and gdb._GdbFile::writelines().

## ◆ write_async_safe()

virtual void ui_file::write_async_safe | ( | const char * | buf,
|  | long | length_buf
| ) |  |
| inline virtual

Reimplemented in tee_file, stdio_file, and null_file.

Definition at line 58 of file ui-file.h.

References gdb_assert_not_reached.

Referenced by ui_file_write_async_safe(), and tee_file::write_async_safe().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/ui-file.h
- /tmp/gdb-8.1/gdb/ui-file.c